Description: fix a spelling mistake
Origin: vendor
Bug: https://rt.cpan.org/Ticket/Display.html?id=82392
Forwarded: https://rt.cpan.org/Ticket/Display.html?id=82392 (not last version)
Author: gregor herrmann <gregoa@debian.org>
Reviewed-by: Xavier Guimard <x.guimard@free.fr>
Last-Update: 2020-07-30

--- a/Coro/Semaphore.pm
+++ b/Coro/Semaphore.pm
@@ -17,7 +17,7 @@
 =head1 DESCRIPTION
 
 This module implements counting semaphores. You can initialize a mutex
-with any level of parallel users, that is, you can initialize a sempahore
+with any level of parallel users, that is, you can initialize a semaphore
 that can be C<down>ed more than once until it blocks. There is no owner
 associated with semaphores, so one thread can C<down> it while another can
 C<up> it (or vice versa), C<up> can be called before C<down> and so on:
@@ -46,7 +46,7 @@
 
 =item new [initial count]
 
-Creates a new sempahore object with the given initial lock count. The
+Creates a new semaphore object with the given initial lock count. The
 default lock count is 1, which means it is unlocked by default. Zero (or
 negative values) are also allowed, in which case the semaphore is locked
 by default.
--- a/Coro.pm
+++ b/Coro.pm
@@ -1087,7 +1087,7 @@
 when called, will remember a copy of its arguments and notify the owner
 coro of the callback.
 
-Only the first invocation will store agruments and signal any waiter -
+Only the first invocation will store arguments and signal any waiter -
 further calls will effectively be ignored, but it is ok to try.
 
 Also see the next function.
